services:
  overseerr:
    container_name: overseerr
    image: sctx/overseerr:latest
    restart: unless-stopped
    logging:
      driver: json-file
    ports:
      - 5055:5055
    environment:
      - PUID=1000
      - PGID=1000
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - /docker/servarr/overseerr:/app/config
    cpus: 2.0
    mem_limit: "2048m"
    mem_reservation: "512m"
    labels:
      - "traefik.enable=true"

      # Router
      - "traefik.http.routers.overseerr.rule=Host(`request.mapletree.email`)"
      - "traefik.http.routers.overseerr.entrypoints=web,websecure"
      - "traefik.http.routers.overseerr.tls.certresolver=myresolver"

      # Service (points to internal port)
      - "traefik.http.services.overseerr.loadbalancer.server.port=5055"

    networks:
      - request

networks:
  request:
    external: true

